FROM openshift/base-rhel8:v4.5.0.20210420.132915
ENV __doozer=update BUILD_RELEASE=202104201309.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202104201309.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=09f6db6 OS_GIT_VERSION=4.5.0-202104201309.p0-09f6db6 SOURCE_DATE_EPOCH=1588106392 SOURCE_GIT_COMMIT=09f6db6b046b5580af69bab83b66cf89a0e85e39 SOURCE_GIT_TAG=09f6db6 SOURCE_GIT_URL=https://github.com/openshift/ironic-hardware-inventory-recorder-image 

RUN yum update -y && \
    yum install -y openstack-ironic-python-agent lshw smartmontools iproute python3-hardware && \
    yum clean all

COPY ./runironic-agent.sh /bin/runironic-agent

ENTRYPOINT ["/bin/runironic-agent"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-ironic-hardware-inventory-recorder" \
        com.redhat.component="ironic-hardware-inventory-recorder-image-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Bare Metal Hardware Provisioning" \
        io.openshift.maintainer.subcomponent="ironic" \
        release="202104201309.p0" \
        io.openshift.build.commit.id="09f6db6b046b5580af69bab83b66cf89a0e85e39" \
        io.openshift.build.source-location="https://github.com/openshift/ironic-hardware-inventory-recorder-image" \
        io.openshift.build.commit.url="https://github.com/openshift/ironic-hardware-inventory-recorder-image/commit/09f6db6b046b5580af69bab83b66cf89a0e85e39" \
        version="v4.5.0"

